Subject: Re: Ficus benjamina "natasja" - How to care

From: [email-masked] (CCDuncIII)
Date: 17 May 1996 20:40:18 -0400

Since it's not yours, why not forego risking fertilizer at all unless your
friend is away for the entiure summer? Put it in a bright window or, if
outside, in partial shade. Wherever you put it, don't fret over falling
leaves for a couple of weeks -- it'sd going into shock anyway and
anywhere, but will pull out of it if left alone. If it's not too large,
watering from the bottom is ideal -- if it's large, give it a good soaking
and let it pretty much dry out before the next watering. Also, misting or,
if outside, frequent hosing will guarantee that they have onbly good
things to say about you when their master returns.